[arch-commits] Commit in sddm/repos (6 files)

Andrea Scarpino andrea at archlinux.org
Sat Nov 22 08:08:53 UTC 2014


    Date: Saturday, November 22, 2014 @ 09:08:52
  Author: andrea
Revision: 122902

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  sddm/repos/extra-i686/
  sddm/repos/extra-i686/PKGBUILD
    (from rev 122901, sddm/trunk/PKGBUILD)
  sddm/repos/extra-i686/sddm.install
    (from rev 122901, sddm/trunk/sddm.install)
  sddm/repos/extra-x86_64/
  sddm/repos/extra-x86_64/PKGBUILD
    (from rev 122901, sddm/trunk/PKGBUILD)
  sddm/repos/extra-x86_64/sddm.install
    (from rev 122901, sddm/trunk/sddm.install)

---------------------------+
 extra-i686/PKGBUILD       |   37 +++++++++++++++++++++++++++++++++++++
 extra-i686/sddm.install   |   24 ++++++++++++++++++++++++
 extra-x86_64/PKGBUILD     |   37 +++++++++++++++++++++++++++++++++++++
 extra-x86_64/sddm.install |   24 ++++++++++++++++++++++++
 4 files changed, 122 insertions(+)

Copied: sddm/repos/extra-i686/PKGBUILD (from rev 122901, sddm/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2014-11-22 08:08:52 UTC (rev 122902)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+
+pkgname=sddm
+pkgver=0.11.0
+pkgrel=1
+pkgdesc='QML based X11 display manager'
+arch=('i686' 'x86_64')
+url='http://github.com/sddm/sddm'
+license=('GPL')
+depends=('qt5-declarative')
+makedepends=('cmake' 'python-docutils' 'qt5-tools')
+install="${pkgname}.install"
+backup=('usr/share/sddm/scripts/Xsetup')
+conflicts=('display-manager')
+provides=('display-manager')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/${pkgname}/${pkgname}/archive/v${pkgver}.tar.gz")
+md5sums=('e110a7683867400dc9484d4744fd41dd')
+
+prepare() {
+  mkdir -p build
+}
+
+build() {
+  cd build
+  cmake ../${pkgname}-${pkgver} \
+        -DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_BUILD_TYPE=Release \
+        -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/sddm \
+        -DBUILD_MAN_PAGES=ON
+  make
+}
+
+package() {
+  cd build
+  make DESTDIR="${pkgdir}" install
+}

Copied: sddm/repos/extra-i686/sddm.install (from rev 122901, sddm/trunk/sddm.install)
===================================================================
--- extra-i686/sddm.install	                        (rev 0)
+++ extra-i686/sddm.install	2014-11-22 08:08:52 UTC (rev 122902)
@@ -0,0 +1,24 @@
+post_install() {
+	if ! getent group sddm > /dev/null; then
+		groupadd --system sddm
+	fi
+	if ! getent passwd sddm > /dev/null; then
+		useradd -c "Simple Desktop Display Manager" --system -d /var/lib/sddm -s /usr/bin/nologin -g sddm sddm
+		passwd -l sddm > /dev/null
+	fi
+	mkdir -p /var/lib/sddm
+	chown -R sddm:sddm /var/lib/sddm > /dev/null
+}
+
+post_upgrade() {
+	post_install $1
+}
+
+post_remove() {
+	if getent passwd sddm >/dev/null; then
+		userdel sddm
+	fi
+	if getent group sddm >/dev/null; then
+		groupdel sddm
+	fi
+}

Copied: sddm/repos/extra-x86_64/PKGBUILD (from rev 122901, sddm/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2014-11-22 08:08:52 UTC (rev 122902)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+
+pkgname=sddm
+pkgver=0.11.0
+pkgrel=1
+pkgdesc='QML based X11 display manager'
+arch=('i686' 'x86_64')
+url='http://github.com/sddm/sddm'
+license=('GPL')
+depends=('qt5-declarative')
+makedepends=('cmake' 'python-docutils' 'qt5-tools')
+install="${pkgname}.install"
+backup=('usr/share/sddm/scripts/Xsetup')
+conflicts=('display-manager')
+provides=('display-manager')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/${pkgname}/${pkgname}/archive/v${pkgver}.tar.gz")
+md5sums=('e110a7683867400dc9484d4744fd41dd')
+
+prepare() {
+  mkdir -p build
+}
+
+build() {
+  cd build
+  cmake ../${pkgname}-${pkgver} \
+        -DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_BUILD_TYPE=Release \
+        -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/sddm \
+        -DBUILD_MAN_PAGES=ON
+  make
+}
+
+package() {
+  cd build
+  make DESTDIR="${pkgdir}" install
+}

Copied: sddm/repos/extra-x86_64/sddm.install (from rev 122901, sddm/trunk/sddm.install)
===================================================================
--- extra-x86_64/sddm.install	                        (rev 0)
+++ extra-x86_64/sddm.install	2014-11-22 08:08:52 UTC (rev 122902)
@@ -0,0 +1,24 @@
+post_install() {
+	if ! getent group sddm > /dev/null; then
+		groupadd --system sddm
+	fi
+	if ! getent passwd sddm > /dev/null; then
+		useradd -c "Simple Desktop Display Manager" --system -d /var/lib/sddm -s /usr/bin/nologin -g sddm sddm
+		passwd -l sddm > /dev/null
+	fi
+	mkdir -p /var/lib/sddm
+	chown -R sddm:sddm /var/lib/sddm > /dev/null
+}
+
+post_upgrade() {
+	post_install $1
+}
+
+post_remove() {
+	if getent passwd sddm >/dev/null; then
+		userdel sddm
+	fi
+	if getent group sddm >/dev/null; then
+		groupdel sddm
+	fi
+}


More information about the arch-commits mailing list